package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;

import java.util.Map;

public interface CampaignService {
    ResultDTO searchCampaignExecute(CampaignRequestDTO requestDto);

    ResultDTO search(CampaignRequestDTO requestDto);

    ResultDTO findByCampaignCode(CampaignRequestDTO requestDTO);

    ResultDTO addNewCampaign(CampaignDTO campaignDTO);

    Map countRecallCustomer(Long companySiteId, Long agentId);

    ResultDTO findCampaignById(Long campaignId);

    ResultDTO changeCampaignStatus(CampaignDTO dto);
}
